Bug 76921 - No keyboard map for logitech internet keyboard
No keyboard map for logitech internet keyboard
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-29 08:49 EST by Mark Cooke
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-29 08:49:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Cooke 2002-10-29 08:49:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
There is no keyboard laout / configuration table that successfully maps all the
extra keys on my logitech internet navigator keyboard (part number 876151-0120)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install X
2.Try itouch/logiinet/loginternet keymaps
3.The extra keys still do not generate valid keysyms when looked at using xev,
and they cannot be assigned to metacity shortcuts.

Actual Results:  There should be a keyboard mapping table that supports this

Even manually assigning keysyms to the keycodes doesn't work as expected, as
metacity could not bind a shortcut even after xev was showing the manually
assigned keysyms being produced on keypress.

Expected Results:  All the hot keys should have been producing valid keysyms,
and all hot keys should be able to be bound to shortcuts in metacity.

Additional info:

The closest keyboard layout appears to be logiinetnav, but this map does not
produce correct keysyms.

My /etc/X11/Xmodmap has:

keycode 129 = XF86AudioMedia
keycode 130 = XF86HomePage
keycode 151 = XF86AudioStop
keycode 158 = XF86AudioRaiseVolume
keycode 159 = XF86AudioPlay
keycode 162 = XF86AudioNext
keycode 164 = XF86AudioPrev
keycode 165 = XF86AudioLowerVolume
keycode 166 = XF86AudioMute
keycode 230 = XF86Favorites

But even with this, and xev showing XF86AudioPrev/Next then approriate keys are
pressed, metacity can't bind to them, even though the Play/Stop keys work fine.

gconftool-2 --set --type string \
        /apps/metacity/keybinding_commands/command_2 "xmms --play-pause"
gconftool-2 --set --type string \
        /apps/metacity/global_keybindings/run_command_2 XF86AudioPlay

gconftool-2 --set --type string \
        /apps/metacity/keybinding_commands/command_3 "xmms --stop"
gconftool-2 --set --type string \
        /apps/metacity/global_keybindings/run_command_3 XF86AudioStop

gconftool-2 --set --type string \
        /apps/metacity/keybinding_commands/command_4 "xmms --rew"
gconftool-2 --set --type string \
        /apps/metacity/global_keybindings/run_command_4 XF86AudioPrev

gconftool-2 --set --type string \
        /apps/metacity/keybinding_commands/command_5 "xmms --fwd"
gconftool-2 --set --type string \
        /apps/metacity/global_keybindings/run_command_5 XF86AudioNext
Comment 1 Mike A. Harris 2002-10-31 21:47:17 EST
This isn't a bug, it is a feature enhancement request ultimately.  Any
feature enhancements like this absolutely need to be made upstream to
XFree86.org first before they'll get into Red Hat Linux.  Otherwise
once we make such a change (and without hardware to verify it is
correct), we then have to manually maintain the fix until it does
get integrated upstream by XFree86.org, and if they do not integrate
or implement it, then we have to maintain it indefinitely ourselves.

Please make your request directly to XFree86.org via the
xpert@xfree86.org mailing list instead.  If you've got a unified diff
patch of the changes, send it to fixes@xfree86.org with a detailed
explanation or it's unlikely they'll apply it.

Hope this helps.

I'm closing this WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.